#!/usr/bin/env python
# -*- coding:Utf-8 -*-
# Module regles
# Official Addons
# By Sicilia

import es, popuplib, gamethread


def load():
    regles()
    es.dbgmsg(0, '[Sici Jail ODS] Modules : Regles On')

def round_start(E):
    es.msg("#multi", "#lightgreen[#greenSici Jail ODS#lightgreen] #defaultPour lire les règles du mode Jail : #green!regles")

def player_activate(E):
    gamethread.delayed(6, send_regles, E["userid"])

def player_say(E):
    if E["text"] == "!regles":
        send_regles(E["userid"])

def send_regles(userid):
    if not popuplib.isqueued("j_regle", userid):
        popuplib.send("j_regle", userid)
        
def regles():
# Regles
	menu = popuplib.create("j_regle")
	menu.addline("Règles Du Mode Jail ODS")
	menu.addline("----------------")
	menu.addline("->1. Regles anti-terroristes")
	menu.addline("->2. Regles terroristes")
	menu.addline("----------------")
	menu.addline("->0. Fermer ")
	menu.submenu(1, "j_regle_ct_mp1")
	menu.submenu(2, "Regles terroristes")


	menu = popuplib.create("Regles terroristes")
	menu.addline("Règles terroristes")
	menu.addline("----------------")
	menu.addline("1. Lire les règles des anti-terroristes. ")
	menu.addline("2. Un détenu peut tuer un gardien quand il veut, ou il veut.")
	menu.addline("3. Un détenu a le droit d'avoir sur lui : un fumigène, la bombe.")
	menu.addline("4. Les détenus qui se retrouvons dans la zone réservée aux gardiens")
	menu.addline("seront considérés comme hostile et pourront être abattus sans somation !")
	menu.addline("----------------")
	menu.addline("->8. Retour")
	menu.addline("->0. Fermer")
	menu.submenu(8, "j_regle")


	menu = popuplib.create("j_regle_ct_mp1")
	menu.addline("Règles anti-terroristes")
	menu.addline("Page 1/2")
	menu.addline("----------------")
	menu.addline("->1. Article 1.0")
	menu.addline("->2. Article 2.0")
	menu.addline("->3. Article 3.0")
	menu.addline("->4. Article 4.0")
	menu.addline("->5. Article 5.0")
	menu.addline("->6. Article 6.0")
	menu.addline("->7. Article 7.0")
	menu.addline("----------------")
	menu.addline("->8. Page Suivante")
	menu.addline(" ")
	menu.addline("->9. Retour")
	menu.addline("->0. Fermer ")
	menu.submenu(1, "a1")
	menu.submenu(2, "a2")
	menu.submenu(3, "a3")
	menu.submenu(4, "a4")
	menu.submenu(5, "a5")
	menu.submenu(6, "a6")
	menu.submenu(7, "a7")
	menu.submenu(8, "j_regle_ct_mp2")
	menu.submenu(9, "j_regle")  

	menu = popuplib.create("j_regle_ct_mp2")
	menu.addline("Règles anti-terroristes")
	menu.addline("Page 2/2")
	menu.addline("----------------")
	menu.addline("->1. Article 8.0")
	menu.addline("->2. Article 9.0")
	menu.addline("->3. Article 10.0")
	menu.addline("->4. Article 11.0")
	menu.addline("->5. Article 12.0")
	menu.addline("----------------")
	menu.addline("->8. Page Précédente")
	menu.addline(" ")
	menu.addline("->9. Retour")
	menu.addline("->0. Fermer ")
	menu.submenu(1, "a8")
	menu.submenu(2, "a9")
	menu.submenu(3, "a10")
	menu.submenu(4, "a11")
	menu.submenu(5, "a12")
	menu.submenu(8, "j_regle_ct_mp1")
	menu.submenu(9, "j_regle")	


	menu = popuplib.create("a1")
	menu.addline("Règles anti-terroristes")
	menu.addline("Article 1.0")
	menu.addline("----------------")
	menu.addline("Si vous voyez un détenu tuer un gardien, vous avez le droit de le tuer")
	menu.addline("sans sommation, lui et lui seul. Vous ne pouvez tuer un détenu qu'au moment")
	menu.addline("de son acte.")
	menu.addline("----------------")
	menu.addline("->1. Article Suivant")
	menu.addline(" ")
	menu.addline("->8. Retour")
	menu.submenu(1,"a2")
	menu.submenu(8, "j_regle_ct_mp1")

	menu = popuplib.create("a2")
	menu.addline("Règles anti-terroristes")
	menu.addline("Article 2.0")
	menu.addline("----------------")
	menu.addline("Si un détenu vous tire dessus, ou vous blesse avec une arme ou une grenade")
	menu.addline("explosive, vous pouvez vous défendre. Soyez sur de vous, si vous tuez quelqu'un")
	menu.addline("d'innocent, vous serez sanctionné.")
	menu.addline("----------------")
	menu.addline("->1. Article Précédent")
	menu.addline("->2. Article Suivant")
	menu.addline(" ")
	menu.addline("->8. Retour")
	menu.submenu(1,"a1")
	menu.submenu(2,"a3")
	menu.submenu(8, "j_regle_ct_mp1")

	menu = popuplib.create("a3")
	menu.addline("Règles anti-terroristes")
	menu.addline("Article 3.0")
	menu.addline("----------------")
	menu.addline("Si un détenu possède une arme sur lui, demandez-lui de la jeter. S'il ne jette")
	menu.addline("pas son arme, vous pouvez le blesser. Enfin, s'il ne veut toujours pas la jeter, ")
	menu.addline("vous pouvez le tuer.")
	menu.addline("----------------")
	menu.addline("->1. Article Précédent")
	menu.addline("->2. Article Suivant")
	menu.addline(" ")
	menu.addline("->8. Retour")
	menu.submenu(1,"a2")
	menu.submenu(2,"a4")
	menu.submenu(8, "j_regle_ct_mp1")

	menu = popuplib.create("a4")
	menu.addline("Règles anti-terroristes")
	menu.addline("Article 4.0")
	menu.addline("----------------")
	menu.addline("Vous pouvez donner des ordres aux détenus et ils sont censés vous écouter. Si")
	menu.addline("un détenu n'obéit pas, vous pouvez le blesser, et ensuite le tuer.")
	menu.addline("Attention aux ordres abusifs. Pensez qu'un détenu n'entendra")
	menu.addline("pas forcement votre ordre. Répétez-le au moins trois fois.")
	menu.addline("----------------")
	menu.addline("->1. Article Précédent")
	menu.addline("->2. Article Suivant")
	menu.addline(" ")
	menu.addline("->8. Retour")
	menu.submenu(1,"a3")
	menu.submenu(2,"a5")
	menu.submenu(8, "j_regle_ct_mp1")


	menu = popuplib.create("a5")
	menu.addline("Règles anti-terroristes")
	menu.addline("Article 5.0")
	menu.addline("----------------")
	menu.addline("Le port de la bombe et fumingène pour un détenu est autorisé. Une grenade peux-être")
	menu.addline("tolérer par le gardien.")
	menu.addline("----------------")
	menu.addline("->1. Article Précédent")
	menu.addline("->2. Article Suivant")
	menu.addline(" ")
	menu.addline("->8. Retour")
	menu.submenu(1,"a4")
	menu.submenu(2,"a6")
	menu.submenu(8, "j_regle_ct_mp1")


	menu = popuplib.create("a6")
	menu.addline("Règles anti-terroristes")
	menu.addline("Article 6.0")
	menu.addline("----------------")
	menu.addline("L'envoi d'un fumigène, au contraire d'une grenade explosive, n'est pas considéré")
	menu.addline("comme un acte agressif. Les détenus ne pourront pas être sanctionnés sur ce fait.")
	menu.addline("----------------")
	menu.addline("->1. Article Précédent")
	menu.addline("->2. Article Suivant")
	menu.addline(" ")
	menu.addline("->8. Retour")
	menu.submenu(1,"a5")
	menu.submenu(2,"a7")
	menu.submenu(8, "j_regle_ct_mp1")

	menu = popuplib.create("a7")
	menu.addline("Règles anti-terroristes")
	menu.addline("Article 7.0")
	menu.addline("----------------")
	menu.addline("Il est extrêmement important de respecter les sommations. Tout abus sera sanctionné.")
	menu.addline("----------------")
	menu.addline("->1. Article Précédent")
	menu.addline("->2. Article Suivant")
	menu.addline(" ")
	menu.addline("->8. Retour")
	menu.submenu(1,"a6")
	menu.submenu(2,"a8")
	menu.submenu(8, "j_regle_ct_mp1")

	menu = popuplib.create("a8")
	menu.addline("Règles anti-terroristes")
	menu.addline("Article 8.0")
	menu.addline("----------------")
	menu.addline("Il est STRICTEMENT interdit aux gardiens de donner des armes aux détenus. Les ")
	menu.addline("sanctions peuvent aller du simple slay jusqu'au ban.")
	menu.addline("----------------")
	menu.addline("->1. Article Précédent")
	menu.addline("->2. Article Suivant")
	menu.addline(" ")
	menu.addline("->8. Retour")
	menu.submenu(1,"a7")
	menu.submenu(2,"a9")
	menu.submenu(8, "j_regle_ct_mp2")


	menu = popuplib.create("a9")
	menu.addline("Règles anti-terroristes")
	menu.addline("Article 9.0")
	menu.addline("----------------")
	menu.addline("Un gardien n'a pas le droit d'accéder Ã  la zone réservée aux détenus. Ce gardien")
	menu.addline("pourra alors être tué par un détenu, sans que ce dernier puisse être sanctionné par les")
	menu.addline("autres gardiens. Tout abus de la part des gardiens sera sanctionné.")
	menu.addline("----------------")
	menu.addline("->1. Article Précédent")
	menu.addline("->2. Article Suivant")
	menu.addline(" ")
	menu.addline("->8. Retour")
	menu.submenu(1,"a8")
	menu.submenu(2,"a10")
	menu.submenu(8, "j_regle_ct_mp2")

	menu = popuplib.create("a10")
	menu.addline("Règles anti-terroristes")
	menu.addline("Article 10.0")
	menu.addline("----------------")
	menu.addline("Les détenus qui se retrouvons dans la zone réservée aux gardiens seront considérés")
	menu.addline("comme hostile et pourront être abattus sans somation.")
	menu.addline("----------------")
	menu.addline("->1. Article Précédent")
	menu.addline("->2. Article Suivant")
	menu.addline(" ")
	menu.addline("->8. Retour")
	menu.submenu(1,"a9")
	menu.submenu(2,"a11")
	menu.submenu(8, "j_regle_ct_mp2")

	menu = popuplib.create("a11")
	menu.addline("Règles anti-terroristes")
	menu.addline("Article 11.0")
	menu.addline("----------------")
	menu.addline("Les détenus ont le droit d'accéder aux conduits.")
	menu.addline("----------------")
	menu.addline("->1. Article Précédent")
	menu.addline("->2. Article Suivant")
	menu.addline(" ")
	menu.addline("->8. Retour")
	menu.submenu(1,"a10")
	menu.submenu(2,"a12")
	menu.submenu(8, "j_regle_ct_mp2")

	menu = popuplib.create("a12")
	menu.addline("Règles anti-terroristes")
	menu.addline("Article 12.0")
	menu.addline("----------------")
	menu.addline("Les cellules des détenus doivent être ouvertes avant 6 min 30 sec.")
	menu.addline("----------------")
	menu.addline("->1. Article Précédent")
	menu.addline(" ")
	menu.addline("->8. Retour")
	menu.submenu(1,"a11")
	menu.submenu(8, "j_regle_ct_mp2")


def unload():
	popuplib.delete("j_regle")
	popuplib.delete("Regles terroristes")
	popuplib.delete("j_regle_ct_mp1")
	popuplib.delete("j_regle_ct_mp2")
	popuplib.delete("a1")
	popuplib.delete("a2")
	popuplib.delete("a3")
	popuplib.delete("a4")
	popuplib.delete("a5")
	popuplib.delete("a6")
	popuplib.delete("a7")
	popuplib.delete("a8")
	popuplib.delete("a9")
	popuplib.delete("a10")
	popuplib.delete("a11")
	popuplib.delete("a12")
	es.dbgmsg(0, '[Sici Jail ODS] Modules : Regles Off')
